<template>
    <div class="cashback-widget">
        <div class="cashback-widget__wrapper">
            <div class="cashback-widget__content">
                <span @click="$modal.show('cashback-help')">
                    <SVGIcon class="cashback-widget__icon-faq" viewBox="0 0 20 20" xlink="hint-20"
                                style="cursor: pointer"/></span>
                <span class="cashback-widget__content-title">Бонусные рубли</span>
                <span class="cashback-widget__content-value" v-if="loading">
                    <div class="loader" id="loader-4">
                      <span></span>
                      <span></span>
                      <span></span>
                    </div>
                </span>
                <template v-else>
                    <span class="cashback-widget__content-value">
                        {{$pay.bonusBalance|currency}} ₽
                    </span>
                </template>
            </div>
            <div class="cashback-widget__footer">
                <a href="https://cashback.webbankir.com/" target="_blank" style="text-decoration: none">
                    <div class="cashback-widget__footer-row space-between">
                        <span class="cashback-widget__link">Получить рубли</span>
                        <SVGIcon class="cashback-widget__icon-arrow" viewBox="0 0 20 20" xlink="next-arrow-20"/>
                    </div>
                </a>
            </div>
        </div>
        <cashback-help-modal/>
    </div>
</template>

<script>
    import Loader from '@/components/Loader'

    import SVGIcon from '../SVGIcon/index';
    import CashbackHelpModal from '@/components/Modals/CashBackHelp';

    export default {
        name: 'CashbackWidget',
        components: {
            SVGIcon,
            CashbackHelpModal,
            Loader
        },
        data () {
            return {
                bonus: 0,
                loading: false,
            }
        },
        created () {
           this.load();
        },

        methods: {
            load () {
                this.loading = true;
                this.$store.dispatch('PAYMENT_GET_BONUS_BALANCE').finally(() => {
                    this.loading = false;
                });
            }
        }
    };
</script>

<style scoped>
    .loader{
        width: 50px;
        height: 40px;
        border-radius: 100%;

    }
    #loader-4 span{
        display: inline-block;
        width: 5px;
        height: 5px;
        border-radius: 100%;
        background-color: #FFDF42;
        margin: 1px 2px;
        opacity: 0;
    }

    #loader-4 span:nth-child(1){
        animation: opacitychange 1s ease-in-out infinite;
    }

    #loader-4 span:nth-child(2){
        animation: opacitychange 1s ease-in-out 0.33s infinite;
    }

    #loader-4 span:nth-child(3){
        animation: opacitychange 1s ease-in-out 0.66s infinite;
    }

    @keyframes opacitychange{
        0%, 100%{
            opacity: 0;
        }

        60%{
            opacity: 1;
        }
    }
</style>
